### Virtual Method

# GimpUi Preview draw

since: 2.2

#### Declaration [src]

    void
    draw (
      GimpPreview* preview
    )

#### Description [src]

Calls the GimpPreview::draw method. GimpPreview itself doesn’t implement a default draw method so the behavior is determined by the derived class implementing this method.

`GimpDrawablePreview` implements `gimp_preview_draw()` by drawing the original, unmodified drawable to the `preview`.

Available since: 2.2